Subject: Re: [irda-users] [1/3] IRDA: Create new field tx_extra in skbuff

From: Samuel Ortiz <[email-masked]>
Date: Mon, 10 Nov 2008 17:47:32 +0100

Hi Alex,

On Mon, Nov 10, 2008 at 11:09:33AM -0500, Alex Villacís Lasso wrote:
> This patch and the other two that follow fix the issue for me under  
> 2.6.28-rc3. Please comment on this, as I am messing around with the  
> skbuff structure, which potentially affects all network stacks.
Adding 32 bytes to _all_ skbs is a no-no.
This is an IrDA specific issue, and it has to be fixed in an IrDA specific
way. My patches work with my irda-usb and mcs7780 dongles. If they dont for
you, then we should dump the kernel stack when we're hitting the problem of
not having reserved enough headroom for the irda cb.
Evgeniy's proposal could also be another solution.

Cheers,
Samuel.